## watcher 0.33.0

=== debian/changelog ===
watcher (0.33.0-0ubuntu1) zesty; urgency=medium

  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/also-package-alembic-migration.patch: Dropped. MANIFEST.in has been
    removed from upstream source in favor of pbr.
  * d/p/patch-requirements.txt-to-allow-sqla-1.4.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 16:00:57 -0500

watcher (0.30.0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bumped debhelper compat version to 10

  [ Thomas Goirand ]
  * Allow using SQLA >= 1.1 (patching requirements.txt).
  * Create /var/cache/watcher in postinst.

 -- Thomas Goirand <zigo@debian.org>  Fri, 09 Dec 2016 18:12:45 +0100

watcher (0.30.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Use correct branch in Vcs-* fields

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.
  * Fixed oslo-config-generator namespaces.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 10:21:56 +0200

=== debian/control ===
Source: watcher
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-apscheduler (>= 3.0.5),
                     python-ceilometerclient (>= 2.5.0),
                     python-cinderclient (>= 1:1.6.0),
                     python-coverage,
                     python-enum34,
                     python-freezegun,
                     python-glanceclient (>= 1:2.5.0),
                     python-hacking,
                     python-jsonpatch (>= 1.1),
                     python-keystoneauth1 (>= 2.14.0),
                     python-keystoneclient (>= 1:3.8.0),
                     python-keystonemiddleware (>= 4.2.0),
                     python-lxml (>= 2.3),
                     python-mock (>= 2.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-novaclient (>= 2:2.29.0),
                     python-openstackclient (>= 3.3.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.11.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1:1.10.0),
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-prettytable,
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-pecanwsme,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-taskflow (>= 1.26.0),
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-voluptuous (>= 0.8.9),
                     python-webob (>= 1.6.0),
                     python-wsme (>= 0.8),
                     subunit,
                     testrepository,
Standards-Version: 3.9.8
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
Homepage: https://github.com/openstack/watcher

Package: python-watcher
Section: python
Architecture: all
Depends: python-apscheduler (>= 3.0.5),
         python-ceilometerclient (>= 2.5.0),
         python-cinderclient (>= 1:1.6.0),
         python-enum34,
         python-glanceclient (>= 1:2.5.0),
         python-jsonpatch (>= 1.1),
         python-keystoneauth1 (>= 2.14.0),
         python-keystoneclient (>= 1:3.8.0),
         python-keystonemiddleware (>= 4.2.0),
         python-lxml (>= 2.3),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:2.29.0),
         python-openstackclient (>= 3.3.0),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.11.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-prettytable,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-taskflow (>= 1.26.0),
         python-voluptuous (>= 0.8.9),
         python-webob (>= 1.6.0),
         python-wsme (>= 0.8),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Python 2.7 libraries that are part of Watcher.

Package: watcher-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         python-watcher (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - common files
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains common files and configuration that are
 needed by all the daemon packages of Watcher.

Package: watcher-api
Architecture: all
Depends: adduser,
         watcher-common (= ${binary:Version}),
         debconf,
         net-tools,
         python-keystoneclient,
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - API server
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher API server.

Package: watcher-decision-engine
Architecture: all
Depends: watcher-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Decision Engine
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher decision engine.

Package: watcher-applier
Architecture: all
Depends: watcher-common (= ${binary:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack Cloud Optimization as a Service - Applier
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the Watcher Applier.

Package: watcher-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack Cloud Optimization as a Service - doc
 OpenStack Watcher provides a flexible and scalable resource optimization
 service for multi-tenant OpenStack-based clouds. Watcher provides a complete
 optimization loop-including everything from a metrics receiver, complex event
 processor and profiler, optimization processor and an action plan applier.
 This provides a robust framework to realize a wide range of cloud optimization
 goals, including the reduction of data center operating costs, increased
 system performance via intelligent virtual machine migration, increased energy
 efficiency-and more!
 .
 This package contains the documentation.

## watcher 0.34.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler # MIT License
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
jsonpatch>=1.1 # BSD
keystoneauth1>=2.18.0 # Apache-2.0
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db>=4.15.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.policy>=1.17.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.8 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
PrettyTable<0.8,>=0.7.1 # BSD
voluptuous>=0.8.9 # BSD License
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient!=1.7.0,!=1.7.1,>=1.6.0 # Apache-2.0
python-glanceclient>=2.5.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-monascaclient>=1.1.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
python-novaclient!=7.0.0,>=6.0.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
stevedore>=1.17.1 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
WebOb>=1.6.0 # MIT
WSME>=0.8 # MIT
networkx>=1.10 # BSD

=== debian/changelog ===
watcher (0.34.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/patch-requirements.txt-to-allow-sqla-1.4.patch: Dropped no
    longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 30 Jan 2017 14:24:55 -0500

## watcher 1.0.0

=== debian/changelog ===
watcher (1:1.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 09 Feb 2017 11:27:49 -0500

watcher (1:0.34.0-0ubuntu2) zesty; urgency=medium

  * d/watch: Point to tarballs instead of git tag. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Feb 2017 12:54:34 -0500

=== debian/control ===
--- 
+++ 
@@ -13,29 +13,31 @@
                python-pbr (>= 1.8),
                python-setuptools,
                python-sphinx,
-Build-Depends-Indep: python-apscheduler (>= 3.0.5),
+Build-Depends-Indep: python-apscheduler,
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 1:1.6.0),
-                     python-coverage,
+                     python-cinderclient (>= 1.6.0),
+                     python-coverage (>= 4.0),
                      python-enum34,
-                     python-freezegun,
+                     python-freezegun (>= 0.3.6),
                      python-glanceclient (>= 1:2.5.0),
-                     python-hacking,
+                     python-hacking (>= 0.10.2),
                      python-jsonpatch (>= 1.1),
-                     python-keystoneauth1 (>= 2.14.0),
+                     python-keystoneauth1 (>= 2.18.0),
                      python-keystoneclient (>= 1:3.8.0),
-                     python-keystonemiddleware (>= 4.2.0),
+                     python-keystonemiddleware (>= 4.12.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 2.0),
+                     python-monascaclient (>= 1.1.0),
+                     python-networkx (>= 1.10),
                      python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:2.29.0),
+                     python-novaclient (>= 2:6.0.0),
                      python-openstackclient (>= 3.3.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
                      python-oslo.config (>= 1:3.14.0),
                      python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.11.0),
+                     python-oslo.db (>= 4.15.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
                      python-oslo.messaging (>= 5.14.0),
@@ -46,22 +48,23 @@
                      python-oslo.utils (>= 3.18.0),
                      python-oslo.versionedobjects (>= 1.17.0),
                      python-oslosphinx (>= 4.7.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
-                     python-prettytable,
+                     python-prettytable (>= 0.7.1),
                      python-six (>= 1.9.0),
-                     python-sphinxcontrib-pecanwsme,
+                     python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy (>= 1.0.10),
                      python-stevedore (>= 1.17.1),
-                     python-taskflow (>= 1.26.0),
-                     python-testscenarios,
+                     python-taskflow (>= 2.7.0),
+                     python-testrepository (>= 0.0.18),
+                     python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-voluptuous (>= 0.8.9),
                      python-webob (>= 1.6.0),
                      python-wsme (>= 0.8),
                      subunit,
-                     testrepository,
+                     testrepository
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
@@ -70,7 +73,7 @@
 Package: python-watcher
 Section: python
 Architecture: all
-Depends: python-apscheduler (>= 3.0.5),
+Depends: python-apscheduler,
          python-ceilometerclient (>= 2.5.0),
          python-cinderclient (>= 1:1.6.0),
          python-enum34,
@@ -80,6 +83,8 @@
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
+         python-monascaclient (>= 1.1.0),
+         python-networkx (>= 1.10),
          python-neutronclient (>= 1:5.1.0),
          python-novaclient (>= 2:2.29.0),
          python-openstackclient (>= 3.3.0),
@@ -109,7 +114,7 @@
          python-webob (>= 1.6.0),
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -130,7 +135,7 @@
          python-watcher (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Cloud Optimization as a Service - common files
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -147,15 +152,15 @@
 Package: watcher-api
 Architecture: all
 Depends: adduser,
-         watcher-common (= ${binary:Version}),
          debconf,
          net-tools,
-         python-keystoneclient,
-         python-openstackclient,
+         python-keystoneclient (>= 1:3.8.0),
+         python-openstackclient (>= 3.3.0),
          q-text-as-data,
+         watcher-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Cloud Optimization as a Service - API server
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -173,7 +178,7 @@
 Depends: watcher-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Cloud Optimization as a Service - Decision Engine
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -191,7 +196,7 @@
 Depends: watcher-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends},
+         ${python:Depends}
 Description: OpenStack Cloud Optimization as a Service - Applier
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete

## watcher 1.0.1

=== debian/changelog ===
watcher (1:1.0.1-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 16 Feb 2017 22:54:43 +0000

watcher (1:1.0.1-0ubuntu1) zesty; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 16 Feb 2017 16:48:19 -0500

## watcher 1.1.0

=== debian/changelog ===
watcher (1:1.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 14:05:30 +0100

=== debian/control ===
--- 
+++ 
@@ -10,16 +10,17 @@
                openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
-               python-pbr (>= 1.8),
+               python-pbr (>= 2.0.0),
                python-setuptools,
                python-sphinx,
 Build-Depends-Indep: python-apscheduler,
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 1.6.0),
+                     python-cinderclient (>= 1:2.0.1),
                      python-coverage (>= 4.0),
                      python-enum34,
                      python-freezegun (>= 0.3.6),
                      python-glanceclient (>= 1:2.5.0),
+                     python-gnocchiclient (>= 2.7.0),
                      python-hacking (>= 0.10.2),
                      python-jsonpatch (>= 1.1),
                      python-keystoneauth1 (>= 2.18.0),
@@ -30,22 +31,22 @@
                      python-monascaclient (>= 1.1.0),
                      python-networkx (>= 1.10),
                      python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:6.0.0),
+                     python-novaclient (>= 2:7.1.0),
                      python-openstackclient (>= 3.3.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.14.0),
-                     python-oslo.context (>= 2.9.0),
-                     python-oslo.db (>= 4.15.0),
+                     python-oslo.config (>= 1:3.22.0),
+                     python-oslo.context (>= 2.12.0),
+                     python-oslo.db (>= 4.19.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.14.0),
+                     python-oslo.messaging (>= 5.19.0),
                      python-oslo.policy (>= 1.17.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.18.0),
+                     python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
                      python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
@@ -55,16 +56,16 @@
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-pecanwsme (>= 0.8),
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.17.1),
+                     python-stevedore (>= 1.20.0),
                      python-taskflow (>= 2.7.0),
                      python-testrepository (>= 0.0.18),
                      python-testscenarios (>= 0.4),
                      python-testtools (>= 1.4.0),
                      python-voluptuous (>= 0.8.9),
-                     python-webob (>= 1.6.0),
+                     python-webob (>= 1.7.1),
                      python-wsme (>= 0.8),
                      subunit,
-                     testrepository
+                     testrepository,
 Standards-Version: 3.9.8
 Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
 Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/watcher
@@ -75,46 +76,46 @@
 Architecture: all
 Depends: python-apscheduler,
          python-ceilometerclient (>= 2.5.0),
-         python-cinderclient (>= 1:1.6.0),
+         python-cinderclient (>= 1:2.0.1),
          python-enum34,
          python-glanceclient (>= 1:2.5.0),
          python-jsonpatch (>= 1.1),
-         python-keystoneauth1 (>= 2.14.0),
+         python-keystoneauth1 (>= 2.18.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
          python-monascaclient (>= 1.1.0),
          python-networkx (>= 1.10),
          python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:2.29.0),
+         python-novaclient (>= 2:7.1.0),
          python-openstackclient (>= 3.3.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.14.0),
-         python-oslo.context (>= 2.9.0),
-         python-oslo.db (>= 4.11.0),
+         python-oslo.config (>= 1:3.22.0),
+         python-oslo.context (>= 2.12.0),
+         python-oslo.db (>= 4.19.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.14.0),
+         python-oslo.messaging (>= 5.19.0),
          python-oslo.policy (>= 1.17.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.18.0),
+         python-oslo.utils (>= 3.20.0),
          python-oslo.versionedobjects (>= 1.17.0),
          python-pastedeploy (>= 1.5.0),
-         python-pbr (>= 1.8),
+         python-pbr (>= 2.0.0),
          python-pecan (>= 1.0.0),
          python-prettytable,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.17.1),
+         python-stevedore (>= 1.20.0),
          python-taskflow (>= 1.26.0),
          python-voluptuous (>= 0.8.9),
-         python-webob (>= 1.6.0),
+         python-webob (>= 1.7.1),
          python-wsme (>= 0.8),
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Cloud Optimization as a Service - Python 2.7 libraries
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -135,7 +136,7 @@
          python-watcher (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Cloud Optimization as a Service - common files
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -160,7 +161,7 @@
          watcher-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Cloud Optimization as a Service - API server
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -178,7 +179,7 @@
 Depends: watcher-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Cloud Optimization as a Service - Decision Engine
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete
@@ -196,7 +197,7 @@
 Depends: watcher-common (= ${binary:Version}),
          ${misc:Depends},
          ${ostack-lsb-base},
-         ${python:Depends}
+         ${python:Depends},
 Description: OpenStack Cloud Optimization as a Service - Applier
  OpenStack Watcher provides a flexible and scalable resource optimization
  service for multi-tenant OpenStack-based clouds. Watcher provides a complete

## watcher 1.4.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler # MIT License
enum34;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
jsonpatch>=1.1 # BSD
keystoneauth1>=3.1.0 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystonemiddleware>=4.12.0 # Apache-2.0
lxml!=3.7.0,>=2.3 # BSD
croniter>=0.3.4 # MIT License
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.context>=2.14.0 # Apache-2.0
oslo.db>=4.24.0 # Apache-2.0
oslo.i18n!=3.15.2,>=2.1.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.messaging!=5.25.0,>=5.24.2 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
oslo.versionedobjects>=1.17.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
PrettyTable<0.8,>=0.7.1 # BSD
voluptuous>=0.8.9 # BSD License
gnocchiclient>=2.7.0 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.1.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.0.0 # Apache-2.0
python-openstackclient!=3.10.0,>=3.3.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
WebOb>=1.7.1 # MIT
WSME>=0.8 # MIT
networkx>=1.10 # BSD

## watcher 1.4.1

=== debian/changelog ===
watcher (1:1.4.1-0ubuntu1) artful; urgency=medium

  * New upstream point release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 28 Aug 2017 13:45:32 -0400

watcher (1:1.4.0-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 22:06:19 -0400

watcher (1:1.3.0-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Aug 2017 09:25:15 -0400

watcher (1:1.2.0-0ubuntu1) artful; urgency=medium

  * d/control: Add python-ironicclient to (Build-)Depends.
  * New upstream release for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:12:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,43 +12,46 @@
                python-all,
                python-pbr (>= 2.0.0),
                python-setuptools,
-               python-sphinx,
+               python-sphinx (>= 1.5.1),
 Build-Depends-Indep: python-apscheduler,
                      python-ceilometerclient (>= 2.5.0),
-                     python-cinderclient (>= 1:2.0.1),
+                     python-cinderclient (>= 1:3.1.0),
                      python-coverage (>= 4.0),
+                     python-croniter (>= 0.3.4),
                      python-enum34,
                      python-freezegun (>= 0.3.6),
-                     python-glanceclient (>= 1:2.5.0),
+                     python-glanceclient (>= 1:2.8.0),
                      python-gnocchiclient (>= 2.7.0),
                      python-hacking (>= 0.10.2),
+                     python-ironicclient (>= 1.14.0),
                      python-jsonpatch (>= 1.1),
-                     python-keystoneauth1 (>= 2.18.0),
+                     python-jsonschema (>= 2.0.0),
+                     python-keystoneauth1 (>= 3.1.0),
                      python-keystoneclient (>= 1:3.8.0),
                      python-keystonemiddleware (>= 4.12.0),
                      python-lxml (>= 2.3),
                      python-mock (>= 2.0),
-                     python-monascaclient (>= 1.1.0),
+                     python-monascaclient (>= 1.7.0),
                      python-networkx (>= 1.10),
-                     python-neutronclient (>= 1:5.1.0),
-                     python-novaclient (>= 2:7.1.0),
+                     python-neutronclient (>= 1:6.3.0),
+                     python-novaclient (>= 2:9.0.0),
                      python-openstackclient (>= 3.3.0),
+                     python-openstackdocstheme (>= 1.16.0),
                      python-os-testr (>= 0.8.0),
                      python-oslo.cache (>= 1.5.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.22.0),
-                     python-oslo.context (>= 2.12.0),
-                     python-oslo.db (>= 4.19.0),
+                     python-oslo.config (>= 1:4.0.0),
+                     python-oslo.context (>= 2.14.0),
+                     python-oslo.db (>= 4.24.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 3.11.0),
-                     python-oslo.messaging (>= 5.19.0),
-                     python-oslo.policy (>= 1.17.0),
+                     python-oslo.log (>= 3.22.0),
+                     python-oslo.messaging (>= 5.25.0),
+                     python-oslo.policy (>= 1.23.0),
                      python-oslo.reports (>= 0.6.0),
                      python-oslo.serialization (>= 1.10.0),
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.20.0),
                      python-oslo.versionedobjects (>= 1.17.0),
-                     python-oslosphinx (>= 4.7.0),
                      python-oslotest (>= 1.10.0),
                      python-pastedeploy (>= 1.5.0),
                      python-pecan (>= 1.0.0),
@@ -76,28 +79,31 @@
 Architecture: all
 Depends: python-apscheduler,
          python-ceilometerclient (>= 2.5.0),
-         python-cinderclient (>= 1:2.0.1),
+         python-cinderclient (>= 1:3.1.0),
+         python-croniter (>= 0.3.4),
          python-enum34,
-         python-glanceclient (>= 1:2.5.0),
+         python-glanceclient (>= 1:2.8.0),
+         python-ironicclient (>= 1.14.0),
          python-jsonpatch (>= 1.1),
-         python-keystoneauth1 (>= 2.18.0),
+         python-jsonschema (>= 2.0.0),
+         python-keystoneauth1 (>= 3.1.0),
          python-keystoneclient (>= 1:3.8.0),
          python-keystonemiddleware (>= 4.2.0),
          python-lxml (>= 2.3),
-         python-monascaclient (>= 1.1.0),
+         python-monascaclient (>= 1.7.0),
          python-networkx (>= 1.10),
-         python-neutronclient (>= 1:5.1.0),
-         python-novaclient (>= 2:7.1.0),
+         python-neutronclient (>= 1:6.3.0),
+         python-novaclient (>= 2:9.0.0),
          python-openstackclient (>= 3.3.0),
          python-oslo.cache (>= 1.5.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.22.0),
-         python-oslo.context (>= 2.12.0),
-         python-oslo.db (>= 4.19.0),
+         python-oslo.config (>= 1:4.0.0),
+         python-oslo.context (>= 2.14.0),
+         python-oslo.db (>= 4.24.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 3.11.0),
-         python-oslo.messaging (>= 5.19.0),
-         python-oslo.policy (>= 1.17.0),
+         python-oslo.log (>= 3.22.0),
+         python-oslo.messaging (>= 5.25.0),
+         python-oslo.policy (>= 1.23.0),
          python-oslo.reports (>= 0.6.0),
          python-oslo.serialization (>= 1.10.0),
          python-oslo.service (>= 1.10.0),

## watcher 1.5.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

apscheduler>=3.0.5 # MIT License
enum34>=1.0.4;python_version=='2.7' or python_version=='2.6' or python_version=='3.3' # BSD
jsonpatch>=1.16 # BSD
keystoneauth1>=3.2.0 # Apache-2.0
jsonschema<3.0.0,>=2.6.0 # MIT
keystonemiddleware>=4.17.0 # Apache-2.0
lxml!=3.7.0,>=3.4.1 # BSD
croniter>=0.3.4 # MIT License
oslo.concurrency>=3.20.0 # Apache-2.0
oslo.cache>=1.26.0 # Apache-2.0
oslo.config>=4.6.0 # Apache-2.0
oslo.context!=2.19.1,>=2.14.0 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.policy>=1.23.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service>=1.24.0 # Apache-2.0
oslo.utils>=3.28.0 # Apache-2.0
oslo.versionedobjects>=1.28.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
PrettyTable<0.8,>=0.7.1 # BSD
voluptuous>=0.8.9 # BSD License
gnocchiclient>=3.3.1 # Apache-2.0
python-ceilometerclient>=2.5.0 # Apache-2.0
python-cinderclient>=3.2.0 # Apache-2.0
python-glanceclient>=2.8.0 # Apache-2.0
python-keystoneclient>=3.8.0 # Apache-2.0
python-monascaclient>=1.7.0 # Apache-2.0
python-neutronclient>=6.3.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
python-openstackclient>=3.12.0 # Apache-2.0
python-ironicclient>=1.14.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
WebOb>=1.7.1 # MIT
WSME>=0.8.0 # MIT
networkx<2.0,>=1.10 # BSD
